#include <bits/stdc++.h>

using namespace std;

#define ll long long
#define ld long double

int main()
{
    ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);

    ll n; cin>>n;
    vector <pair<ld, ll>> v(n);

    ll sum = 0;
    for (ll i = 0; i<n; i++) {
        ll x; cin>>x;
        ld y; cin>>y;
        v[i].first = y;
        v[i].second = x;
        sum += x;
    }

    sort(v.begin(), v.end());

    vector <ld> ans;
    for (ll i = 0; i<n; i++) {
        ld temp = (sum*v[i].first)/100;
        ans.push_back(temp);
        sum -= v[i].second;
    }

    cout << fixed << *max_element(ans.begin(), ans.end()) << endl;

    return 0;
}